Bug 1290755 - guestfish should be able to handle LVM thin layouts
Summary: guestfish should be able to handle LVM thin layouts
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.3
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On: 1218766 1278878 1291650
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-11 11:05 UTC by Fabian Deutsch
Modified: 2016-11-03 17:57 UTC (History)
8 users (show)

(edit)
Clone Of: 1278878
(edit)
Last Closed: 2016-11-03 17:57:02 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2576 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC

Comment 1 Fabian Deutsch 2015-12-11 11:09:08 UTC
Test steps:

1. Install Fedora/CentOS into an image with a LVM thinp layout, i.e. using "autopart --type=thinp" in a kickstart
2. Run guestfish -ia <image> to inspect the image
3. Ensure that cat /etc/os-release works

The following error should not appear:
$ guestfish -ia ../ovirt-node-appliance-auto-installation.qcow2
libguestfs: Fehler: internal_parse_mountable: internal_parse_mountable_stub: /dev/centos/pool00: No such file or directory

Comment 2 Pino Toscano 2015-12-11 11:14:56 UTC
This is being fixed by the rebase, bug #1218766.

Comment 3 Xianghua Chen 2016-05-27 09:33:55 UTC
Verified with the packages:
libguestfs-1.32.4-2.el7.x86_64
augeas-1.4.0-2.el7.x86_64

Verify steps:
1. Download Fedora-Server-DVD-x86_64-23.iso and install image with LVM thinp layout:fedora23.qcow2
2. Run guestfish -ia <image> to inspect the image:
# guestfish -ia /home/xchen/my-images/fedora22.qcow2 
><fs> cat /etc/os-release 
NAME=Fedora
VERSION="23 (Server Edition)"
ID=fedora
VERSION_ID=23
PRETTY_NAME="Fedora 23 (Server Edition)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:23"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=23
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=23
PRIVACY_POLICY_URL=https://fedoraproject.org/wiki/Legal:PrivacyPolicy
VARIANT="Server Edition"
VARIANT_ID=server

No error prompt out.

So verified.

Comment 5 errata-xmlrpc 2016-11-03 17:57:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html


Note You need to log in before you can comment on or make changes to this bug.